[SciPy-user] additional superpak problems

belinda thom bthom at cs.hmc.edu
Sat Dec 30 18:13:52 CST 2006


And yet more strangeness...the superpack matplotlib breaks the  
ability to use pylab:

running
   ipython -pylab

produces:
  <snip>
   File "/Library/Frameworks/Python.framework/Versions/2.4/lib/ 
python2.4/site-packages/matplotlib/backends/tkagg.py", line 1, in ?
     import _tkagg
ImportError: Failure linking new module: /Library/Frameworks/ 
Python.framework/Versions/2.4/lib/python2.4/site-packages/matplotlib/ 
backends/_tkagg.so: Library not loaded: /usr/local/lib/libfreetype. 
6.dylib
   Referenced from: /Library/Frameworks/Python.framework/Versions/2.4/ 
lib/python2.4/site-packages/matplotlib/backends/_tkagg.so
   Reason: image not found

Reverting back to the matplotlib at http://www.macpython.org/packages/ 
py24-fat/index.html allows ipython -pylab to work.

I have no idea if mixing and matching parts of superpak with other  
packages will cause me later problems.

I'm curious, Vincent, do you run matplotlib interactively with  
ipython? Does that piece installed from the superpack work for you?

Thanks again,

--b


More information about the SciPy-user mailing list